INTRODUCTION

Fast Plan v6.0 is an advanced CAD programme that uses many automated drawing functions, including the design rooms functions ( move, rotate, expand & shrink, auto aligning rooms), and expand / shrink base walls, that make good design and drawing extremely easy
Fast Plans will draw up to 3 floors and a site plan
draw house plan layouts FAST house layout plan

Specification :-
* a guide line to prompt you on what to do, when using any function *
* context help is available by pressing the F1 key

* automatic 2 to 4 line external wall drawing, self correcting at corners *
* external dimensions are automatic including overall dimensions *
* auto sensing distance when drawing internal walls *
* moveable design rooms - self aligning rooms, resize, move and fine tune *
* unlimited external walls *
* area calculations based on maximum 8 wall faces per side *
* three floors maximum, upper floors can be drawn with two button presses *
* cut in hanging & sliding doors, multiple doors and windows *
* rotate or mirror complete drawings *
* external and internal wall hatching *
* display with solid black walls, for flyers and advertising *
* get maximum room available senses largest space left for a new room *
* customisable options *
* save as a bitmap .BMP *
* site plan *
* display & print options, show / do not show dimensions, text size option *
* zoom fit on screen, zoom up, zoom by half *
* auto save option, auto scrolling *

This DEMO programme has a number of features locked out and limits on the number of walls, windows, rooms & doors you can draw in it.
*Locked out functions* :- site plan, save as bitmap .BMP and rotate / mirror complete drawing
*Functions with limits on use* :- external walls are limited to 6, windows & doors also 6), design & fixed rooms 4

Programme is best run with a screen resolution of 800 x 600 or more
First Time Users you need to read one of these:-
either
click on QUICK START for a very BASIC fast start
or EXAMPLES gives much more detailed explanations than quick start

Click on CONTENTS which is the information base for the help system and FUNCTION LIST to see how powerful this automated programme really is.

HINT
To close this, or any other help page, just click the cross ( X ) in the top left corner of the page


CONTENTS

HELP CONTENTS

Fast Plan v6.0 is an advanced CAD programme that uses many automated drawing functions.

Help System
Context Help is available by pressing the F1 key

HINT
Always look at the Guide Line at the bottom of the screen after you have selected a function for hints & advice on using that function

Click one of the underlined headings with the left mouse button

EXAMPLES
HOW TO....
FUNCTIONS by use
THE SCREEN LAYOUT
DIALOGUE BOXES hints that may save you time
HINTS & REMINDERS
QUICK START gets you started - but there is a lot more you should know…
TERMINOLOGY meaning of some terms that may confuse
INTRO shows only on the demo

Recommended screen resolution 800 x 600 or better
Specification :-
* a guide line to prompt you on what to do, when using any function *
* automatic 2 to 4 line external wall drawing, self correcting at corners *
* external dimensions are automatic including overall dimensions *
* auto sensing distance when drawing internal walls *
* moveable design rooms - self aligning rooms, resize, move and fine tune *
* unlimited external walls *
* area calculations based on maximum 8 wall faces per side *
* three floors maximum, upper floors can be drawn with two button presses *
* cut in hanging & sliding doors, multiple doors and windows *
* rotate or mirror complete drawings *
* external and internal wall hatching *
* display with solid black walls, for flyers and advertising *
* get maximum room available senses largest space left for a new room *
* customisable options *
* save as a bitmap .BMP *
* site plan *
* display & print options, show / do not show dimensions, text size option *
* zoom fit on screen, zoom up, zoom by half *
* auto save option, auto scrolling *
browse the complete function list by clicking FUNCTIONS


QUICK START

VERY BASIC DETAIL- for more detail click on the examples which have much more information
On the DEMO you can only have 6 external walls and four design rooms

FAST PLANS DRAWING
Click FILE / NEW, and in the dialogue box input the drawing name (up to 24 letters - NO file extension ) and select either option 'layout design rooms' or 'draw external walls' (described below), and select your preferred measuring system

LAYOUT DESIGN ROOMS OPTION
useful when you do not know your rooms layout, floor plan shape or size. Move some rooms around, auto align them, rotate, change room sizes... design rooms

when satisfied, mark the external wall corners... and the basic plan appears, ready to finish, add upper floors, site plan etc., changes to a plan

Complete the design room dialogue box that appears.
MOVE the room from the bottom left corner of the screen by placing the cursor on the room (NOT on the text area), hold down the left mouse button and move the room towards the centre of the screen and release the button.
ADD more rooms using the 'new design room' icon or from 'design rooms/new design room ' on the menu bar.
ALIGN with other rooms by moving the room within the merging range ( you can customise that distance to suit yourself ) of another room ( providing the rooms are within the merging distance, the rooms will self align with each other or with a boundary (using the right mouse button) formed by the extents of all the rooms) - other functions available from 'design rooms' on the menu bar are: move, rotate, shrink, expand. click for more detail
When satisfied with the layout, mark the inside corners of the EXTERNAL WALLS, by pressing enter, and work in a CLOCKWISE direction and FINISH by returning to the FIRST MARK ( starting point ) again and pressing enter - so the programme knows you have finished (check the cursor position box and the guide line to get this accurately, and the real PLAN view will appear, centred with dimensions. centred on screen( use 'view / layout' or view / ground floor' when re visiting these drawings, click for more detail

HINTS
If your layout will be larger than the screen, either use 'ZOOM / FIT on SCREEN', 'ZOOM / SHRINK by HALF' or auto scroll to place rooms and the wall marking cursor off screen, by holding down the left button and moving the cursor to the edge of the screen
There are other ways to adjust rooms - see moving design rooms A grid is available, and boundary sizes and area show at all times, when marking the external walls this grid ( the layout grid icon toggles on/off ) will cover the entire screen to aid in marking
The merging ( self aligning ) distance can be CUSTOMised
Click for greater detail

NOTE
'Layout design rooms' is a design aid only, you cannot add windows, doors, etc., until you have formed a plan view by marking the external wall corners as above.

DRAW EXTERNAL WALLS OPTION
when you know your basic floor plan shape
draw external walls

Select main wall details and position of the inner wall lines from the dialogues boxes as they appear,
STARTING POINT press enter on the start point - that is the OUTER corner of an external wall (usually you can leave the cursor at the top left corner ( the programme will centre the drawing later) and work CLOCKWISE> by selecting the RIGHT ARROW key and input the wall length and OK the input box , now press the
DOWN ARROW key input length , and continue back to the orignal
STARTING POINT. and press enter. watch the cursor position box and the guide line at the bottom of the screen to give you the figures back to the starting point ( you must return to the starting point so the programme knows you have finished ) click < A HREF="extwall.htm">for more detail and for drawing angled external walls click < A HREF="extwall.htm#EXTANGLE">for angled external wall detail

HINTS
Try the drawing external walls example
or click the drawing angled wall example

FINISHING
Once you have the basic floor plan , you can SHRINK and EXPAND the floor plan base, use DESIGN ROOMS inside the walls, or use the FIXED ROOM function to add complete rooms, draw internal walls, add windows & many types of doors to existing walls, alter and add cupboards to rooms and other internal walls.
You can also change or split the external walls, if you need different wall styles in the base floor plan

HINT
For more information on finishing, display, drawing assistance, etc., see the individual functions FUNCTION LIST or click FINISHING - EXAMPLE 3
ALWAYS watch the GUIDE LINE at the bottom of the screen for help on all functions and use the F1 key for more context help on the selected function
Use the ARROW KEYS to finetune the cursor position in most functions

NOTE When you start any floor you MUST draw each floor plan's external walls, consecutively (clockwise ) and finish back exactly on your starting point, BEFORE you do anything else.

QUICK HINTS
If you want, add design rooms AFTER you have the external walls drawn - when finally positioned how you want them within the external walls you can shrink and expand the base using 'base / shrink' or 'base / expand', then select 'design rooms / finish' to draw the rooms fixed in position.
Windows & doors must always be drawn on existing walls - the opening is cut automatically.
For cupboards and room wall alterations use the' internal wall' icon
If you used the 'LAYOUT DESIGN ROOM option you can return at any time by selecting 'view / layout' - any previous plan drawing made from the layout will be kept only until you re select the external walls and remark them

Of course there is a far more to check out on the help system than this brief introduction
click one of the underlined headings with the left mouse button
If all else fails….try
EXAMPLES three short tutorials - on layout design rooms and drawing external walls
HOW TO.... solve your queries and customise the programmes to suit you
THE SCREEN LAYOUT getting to know the layout,
DIALOGUE BOXES speedy ways to answer the dialogue boxes,
FUNCTION LIST have a look - you may be missing out n some functions
HINTS & REMINDERS
ORDER how to order this programme


EXAMPLES

HINTS
You can type input directly to the first input of a dialogue box if it is highlighted in blue . Use the tab key to move the cursor down a series of inputs, you can also move the mouse cursor to the input you want to change ( make sure the cursor is at the extreme left of the input box ) and click the left button - If the warning bell rings, check your input number - it may be too large or empty. ALWAYS watch the GUIDE LINE at the bottom of the screen for help in using the function selected. Click means the left mouse button. The Enter key is used where accurate positioning is required, the left mouse button is only used where some movement or mouse wobble is allowable.Make sure your NUMLOCK light is off, number input will be from the MAIN keyboard only, ( num pad can be used for the arrow keys & fine tuning the cursor position )
You have options on saving files manually or auto saving, if you want to have copies of the drawing with different names use file / save as... - to save the basic design, then drawing alternative finishes,

LAYOUT DESIGN ROOMS EXAMPLE - put some design rooms on screen first,
* getting the layout correct *
* using the layout boundary grid *
* marking the external walls *
* auto scrolling layouts larger than the screen *

DRAWING EXTERNAL WALL BASE EXAMPLE- * draw the external walls,
* using angled external walls
* splitting up external walls *
* changing an external wall type *
* troubleshooting external walls *

FINISHING YOUR DRAWINGS
* using design rooms within the floor base *
* using the fixed room function *
* expanding or shrinking the floor base *
* using an opening to create an "L" shaped room *
* drawing cupboards and internal walls *
* adding windows and doors *
* using a library *
* using zoom, rotate, datum and centre *
* adding another floor *
* showing floor overlays *


DIALOGUE BOXES

*** Read this it will save you time later ***

TYPED INPUT BOXES
All dialogue boxes are laid out so that any required typed input is completed first, the cursor is pre set, ready to type in the first input box, if you input in descending order, there is no need to move the cursor, just press the tab key to go to the box below, if you do move the cursor with the mouse, make sure the cursor is at the very start (left side) of the input box
If the box is filled in blue, just type your input in, anything already in the box will disappear automatically, if the box is white, with something in it, delete (with the delete key) anything in the box, and type in your answer.
Some boxes have validators (to ensure your input is in the acceptable range). If, say, you input too large a size, a bell will ring and an exclamation may appear when you attempt to clear the dialogue box.
Do not leave any input box blank, some boxes come with a 0, if you not need to change it, leave as 0.
Some boxes come up with a guide figure in them, which is the distance to another object (internal walls show distance to nearest wall), other have pre set numbers, some of which can be customised, so that a figure you normally use can become the start up figure - click CUSTOMISE

RADIO BUTTONS
Circle shaped , with a black dot in one, always in a group, if changing, just click your new selection, only one of the group may be chosen..

CHECK BOXES
Square boxes, unlike radio buttons, can be checked or unchecked, individually, and one or more checked in a group.

HINT You can just press the Enter key to accept the default answer button (i.e. the button that has a darker outline), instead of moving the cursor over the OK button and clicking the left mouse button, on all dialogue or message boxes in this programme


SCREEN LAYOUT

THE SCREEN LAYOUT

TITLE
The top of the screen will show the name you give the drawing with a file extension .PLN for the ground floor, .PL1 for the first floor above, and .PL2 for the second above the ground floor
If you use the layout design rooms option from the FILE / NEW dialogue box, the extension starts as .LYT and changes to .PLN after you mark the external walls

MENU BAR
The menu bar headings all conceal drop down lists of functions. Just click on one with the left mouse button, and a list will drop down - always check the Guide Line at the bottom of the screen for information on using the selected function.
Grouping of functions are as follows :-
FILE contains file new & open, save as, file manipulations, print & exit functions.
VIEW view any of the drawings generated by the programme
ZOOM zoom up, fit on screen or shrink drawing on screen
EDIT has copy, paste, move/rotate, change text & delete functions
TOOLS contains your basic drawing tools - line, circle, text etc., also changing colours, line thickness & line style. These tools should be used to draw items to add to your libraries
WALLS contains automated functions to draw 2 & 4 line walls, extend & shorten walls, expand & shrink the house floor plan base
DESIGN ROOMS functions to let you create and move, rotate, find maximum size available & change size auto aligning rooms, makes good design easy.
OTHER FUNCTIONS draw complete room with text & dimensions, centre drawing, manual dimensions, draw single & multiple doors, windows & external doors, stairs
CUSTOMISE by altering the default (as used on programme start up). Door opening angle, door thickness, text font, offsets & text size for dimensions & rooms and more
LIBRARIES bath & kitchen fixtures, furniture, electrical, and adding to libraries
HELP contents, context help (help on the part of the programme you are working on at that time ( you can also use the F1 key for context help ), hints & reminders and examples.

ICON BAR
The row of icons are in groups of similar functions. Run your cursor along the icon bar and look at the guide lineat the bottom of the screen. You will see the Icon name and what it does, also, if you leave the cursor over an icon, a small tool tip will appear

CURSOR POSITION BOX
In the middle of the icon bar is the cursor position box, which updates the cursor position. the cursor box shows either metric or feet & inches, screen measurements increase from the bottom left corner, angles to 2 decimal places - zero degrees above, going clockwise.. below this is the drawing screen, generally the cursor will change to a cross hair in this area.

NOTE
When you have a plan or layout view, the programme uses the top left corner of the external walls (plan view) or boundary rectangle (layout view) as the datum reference point that the current cursor position is measured from

GUIDE LINE
At the bottom of the screen - guides, hints & messages are shown, usually current drawing tool hints, what the icon function is, or telling you that pressing F1 key gives context help. at the right end of the guide bar is a small area which shows which drawing tool function is in use and in some cases the line thickness.

HINTS
Pressing Help on the programme menu bar drops down various ways to obtain help on all subjects, pressing the F1 function key gives you help on what you are doing at the time (context help)
The Screen is purposely left uncluttered, and the drawing area as large as possible, all helping to make this extremely powerful programme very easy to use, and, although it contains a large number of complex functions, these are highly automated


HINTS & REMINDERS

GENERAL
***This programme uses Windows dialogue boxes to get your drawing instructions,
***Press the enter key instead of clicking the default button (the button with a darker outline) standard on all these dialogue boxes
*** Fill the input parts of the boxes first - the cursor is pre set on the first input
***You can type input directly to the first input of a dialogue box - it will be highlighted
*** Use the tab key to move the cursor down a series of inputs,
*** You can also move the mouse cursor to the input you want to change and click the left button
the cursor MUST be at the extreme left of the input box.
*** If the warning bell rings, check your input number - replace it if is too large.( or too little)
*** To finish, if the button you would use has a darker surround - just press the enter key
*** Click means using the left mouse button
*** Take the time to read the dialogue boxes - most of them contain alternatives that we may not use in these simple examples.
*** Normally the enter key is used where accurate positioning is required, the left mouse button is only used where some movement or mouse wobble is allowable.
If your NUMLOCK is off, number input will be with the MAIN keyboard only, but the num pad can be used for the arrow keys and fine tuning the cursor position.
*** When you have a plan or layout view, the programme uses the top left corner of the external walls (plan view) or boundary rectangle (layout view) as the reference point that the current cursor position is measured from

***** If at any stage you go wrong*****
just click File/New and start again using the same drawing name to overwrite your previous work.

FAST PLANS DRAWING
In the FILE / NEW dialogue box there are 2 design options :-
1/ 'layout design rooms' - put some rooms on the screen, move, rotate, shrink, expand, (providing the rooms are within the merging distance, the rooms will self align with each other or with a boundary formed by the extents of all the rooms). When ready mark the inside of the external walls in a CLOCKWISE direction - making sure you finish back at the starting point, and press enter on that point again. A layout grid is available, and boundary sizes and area show at all times
2/ 'draw the external walls' - once you have drawn the floor plan base external walls, you can shrink and expand them, use design rooms inside the walls, or use the fixed room function, add windows, doors etc.,
Input the base external wall lines consecutively (CLOCKWISE ) and FINISH BACK AT YOUR STARTING POINT (otherwise the programme does not know you have finished ) - watch the cursor position box and the guide line at the bottom of the screen to give you the figures back to the starting point

NOTE
When you start any floor you MUST draw each floor plans external walls consecutively (clockwise ) and finish back exactly on your starting point, BEFORE you do anything else.

HINTS
Once you have a basic layout, quickly draw as many variations as you like by using file/save as… and nominating a different name for each variation you want to try
If your design room layout will be larger than the screen, you can auto scroll by holding down the left button and moving the cursor to the screen edge, or use the same method instead of the scroll bars in most functions, or use zoom/fit on screen

TUTORIAL :-
EXAMPLES


DATUM CENTRE & CENTRE CENTRE

DATUM

click left button on a point to use as a datum reference point to measuring from
This function toggles on/off, watch the cursor position box which will give the cursor distance from the datum point

CENTRE
find the centre of two points by clicking left button on both end points

HINT Make sure you are in the tool you want to use from the centre point ( both centre and centre/centre work inside other tools - there is no point in finding the centre if you have then, to move the cursor to select the tool you need) -very useful for placing windows central in a wall.

CENTRE CENTRE
find the centre of a rectangle by clicking the left button on 3 points clockwise

HINT
Useful for placing text


VIEW

DISPLAY MODE
Options on showing external dimensions and wall hatching and solid walls on the current drawing

NOTE
Both the solid wall display, and wall hatching style are for real estate and builder & other advertising printouts, you should stay with the normal display for drawing the designs

SHOW OVERLAYS
Options on showing floors below to guide you on designing the current floor

GROUND, FIRST & SECOND FLOORS
Shown on the drawing title as .PLN, PL1 and PL2

HINT
Always draw in the order ground floor, first, second floor, so you can use the overlay of the floor below to guide you.- you can customise these drawing title names

DRAWING UPPER FLOORS
Used to draw, redraw or just view an upper floor, select VIEW / FIRST FLOOR or / SECOND FLOOR
A message box will appear
If the floor has been drawn previously you will be asked if you want to view the floor, or redraw it,

If no upper floor has been drawn, the message box will ask if the external dimensions are the same as the floor below. The external wall dialogue box will then appear, and If the dimensions are the same, the upper floor plan will appear with the selected walls.
1/ If the external dimensions will not be the same, the floor below will show in the overlay colour, as a guide for marking the floor you want to draw.
just draw your external walls as normal - press enter on start, work clockwise, use arrow keys for wall direction, or press 'A' key for angled walls, return and press enter on starting point
 lower floor overlay

2/ upper floor external walls complete
 upper floor

3/ finished floor complete with lower floor lines coloured
 upper floor with overlay

LAYOUT VIEW -
This is a view of your room layout, before marking the external walls to form a plan view. Layout views cannot be zoomed up, but you can usezoom / fit on screen or zoom / shrink by half

NOTE
If you originally use the 'layout design rooms' option to draw the base, you can go back to it, adjust and re mark the external walls at any time by selecting view / layout - but once you re select the 'mark external walls' icon the earlier plan view will be overwritten

SITE PLAN
1/ use EDIT / MOVE ROTATE to position and rotate your house
 site plan move

2/ you can use TOOLS / LINE or TOOLS / LINE + TEXT to draw your boundaries and OTHER / MANUAL DIMENSIONS to show distances
 site plan finish

FLOOR AREA
Shows the floor area overall all walls on each floor and the total of all floors

WARNING
Results from this function should always be checked manually
if you have over 8 face walls on any side, the area calculator may be erratic.


EXAMPLE !

LAYOUT DESIGN ROOMS EXAMPLE
*** using the 'layout design rooms' option from FILE / NEW to draw a plan ***

* If at any stage you go wrong * just click File / New and start again using the same drawing name to overwrite your previous work

Start the Fast Plans programme and select file / new, type test as the drawing name ( if ' client' is shaded ( in focus ), test will just overwrite it, if not make sure you type from the extreme left of the input ) and select the “layout design rooms” option, then select your preferred measuring system.
The design room dialogue box will now appear - change to suit yourself and clear by pressing enter or clicking the OK button. The title at the top of the screen will show test.LYT as this is now a layout view.
The Internal wall thickness dialogue box will appear , leave the input alone for now, and clear away.
The design room will appear in the bottom left corner of the screen ( your selected options may not appear until the room is finally drawn )
Move towards the middle of the screen, by placing the cursor in the room, holding down your left mouse button and moving the cursor ( and room ! ) towards the middle of the screen, then release the button.
Now add another room by clicking the design room icon ( or design rooms / new design room from the menu bar .
move the cursor into the new room,
for auto aligning hold down the left mouse button away from the centre text of the room, move to approximate position for the room and release the mouse button - if any edge of your room is within the merging distance of the original design room, the new room will auto align with it - 		self aligning move

rooms now aligned and spaced wall thickness apart
if that did not work, move the cursor back inside the room, and move closer to the original room and release the left button 		aligned
There are other ways to move design rooms, depending on which mouse button you use, and whether you click on the text area part of the room -
left mouse button, cursor on room text area - manual non aligning move
right mouse button, cursor in room - aligns with boundary rectangle if within merge distance = click on moving design rooms
You can also rotate, delete, shrink & expand design rooms click details
Once you have two rooms placed on screen, a boundary rectangle grid will appear, click for full details on design rooms you can toggle this on and off by clicking the layout grid icon.
At the bottom of the screen, the GUIDE LINE will now show the size and area of the boundary rectangle

HINT
You can use a spacer by naming a new design room space instead of a room name, useful for keeping design rooms a set distance apart (say for a passage way between rooms ), this space room is ignored when all the rooms are finished and redrawn.

FINISHING THE DESIGN ROOM LAYOUTS
On the demo you can only have up to 4 design rooms,
so add 2 more rooms, so that the screen looks something like this then we will mark the external walls.
MARKING THE EXTERNAL WALLS
Start by clicking on the external walls icon and selecting your wall type from the dialogue box 		ready to mark external walls

Now the cursor changes to full size in the top left corner, the colour disappears from the rooms for ease of marking - if you want, click the layout grid icon to get a full screen grid to aid in marking the walls

Unlike the normal 'draw external walls' option, for the 'layout design rooms' option you mark the inside line of the external walls - so some of your room corners will probably be corner marks Move the cursor to your starting point ( it does not have to be a room corner ) use the arrow keys to fine tune the cursor position (the cursor position box will show the distance from the top left corner of the old boundary rectangle, and press enter when correct, move clockwise (the cursor position box will show the distance )and press enter on all building corners (when the cursor is precisely on a room corner you will see the cursor lines alter ) and finish back at your starting point - follow the guide line and cursor position box to get that correct and press enter. Now the drawing will change to a .PLN plan view, centre itself, add dimensions, show the area and draw the rooms out with measurements shown as you directed in the design room dialogue.
All rooms drawn will allow for any external walls they butt to, in the case of a room drawing over part of an external wall, the room may not have been correctly aligned with the boundary rectangle. To over come that, select view / layout and your room layout will reappear, just use the right button to move the offending room in to the centre of the boundary rectangle very slightly and release the button, select the external wall icon and re mark the external walls

Mark the inside corner of your external walls, clockwise, finish back exactly at the original starting point and press enter ( watch the guide line and cursor position box figures to get this accurately ) otherwise the programme will not know you have finished marking the wall corners
Use the arrow keys to finetune the cursor position.
When the cursor is exactly over a room corner the room wall lines disappear.
NOTE
Marks 4, 5 and 6 are not on room corners, mark then how you want BUT to keep each wall square to the previous wall the cursor position box MUST have an angle of 0.00, 90.00, 180.00 or 270.00 and '0' for one distance for the new wall to be square to the previous wall
how your mark should look in the cursor position box :- mark 1 - press enter when the cursor lines cover the room corner lines
mark 2 - press enter when the cursor lines cover the room corner lines and the angle is exactly 90.00
mark 3 - press enter when the cursor lines cover the room corner lines and the angle is exactly 180.00
in this drawing we show the starting point marking, then follow the numbers around the drawing marking each corner marking the walls

mark 4 - press enter when cursor position box shows :- your distance from last mark, 0, 270.00
mark 5 - press enter when cursor position box shows :- 0, your distance from last mark, 0.00
mark 6 - press enter when cursor position box shows :- your distance from last mark, 0, 270.00
mark 7 - back exactly at the starting point, press enter when cursor position box shows :- 0, your distance from last mark, 0.00 and the guide line will show 0 , and the same distance ( may be a minus number ).

HINT
if you just want a room as a spacer, type ‘SPACE’ this will show on the room layout as in the above drawing, but when you get the Plan view ( drawing below ), it will just be a vacant area - useful for passageways and for keeping rooms always a specific distance apart.
The layout view now changes to a plan view - ready for doors, windows etc.,
 plan view

HINTS
If your layout is going to be larger than the screen, hold down the left mouse and move to the edge of the screen to auto scroll either a room or the wall marking cursor. You can also use zoom / fit on screen, or zoom / shrink by half before marking the external walls if you prefer.

You can always come back to your last layout (view / layout) and change it around and mark the walls again to get a new plan view - it will overwrite any existing plan view with the same name.

Customise If you want to change the merging ( self aligning ) distance - too large a distance may cause some confusion as the room may not align with the room you wanted it to - experiment with various distances, click customise/design room merge change the room colours, click customise/design room colours or change the layout grid, spacing and colour ,click customise/default layout grid

DRAWING UPPER FLOORS
Once you have the ground floor drawn, you can add the floors above,
click drawing floors above

SITE PLAN
You can now add the site location plan
click adding a site plan

TO FINISH
click FINISH DRAWINGS - EXAMPLE 3 to complete your drawing by altering the rooms to add cupboards, adding windows and doors adding fixed or more design rooms, library items, etc.,


DESIGN ROOMS

USING 'LAYOUT DESIGN ROOMS'
Design Rooms are normally grouped to form the layout view, marking the external wall base afterwards (select FILE / NEW and in the first dialogue box select the “layout design room” option ),
The NEW ROOM DIALOGUE will now appear
The first input is for the room name, The next two input boxes are the dimensions of the room - if possible, incorporate the sizes of any wardrobes or cupboards in these sizes, as it saves continually moving them when moving the room. The next part is for selecting the room colour, if wanted. Nominate a colour type if you want e.g. for plumbing economics, wet areas are sometimes grouped together, this is easier to see if those rooms are all of the same colour.
The first design room dialogue is followed by the internal walls dialogue box, to get the room wall thickness - all subsequent design rooms on that floor will use that wall thickness.

NOTE
Select the way you want the finished room to show dimensions. The dimensions will only show correctly when you mark the external wall corners using the EXTERNAL WALL icon and the real plan drawing appears

Press Enter and the room will appear in the bottom left corner, move the room towards the middle of the screen
To add more design rooms click the NEW DESIGN ROOM icon or select DESIGN ROOMS / NEW DESIGN ROOM from the menu bar

ALIGNING with OTHER ROOMS
move the cursor into the room,
for auto aligning hold down the left mouse button away from the centre text of the room, move to approximate position for the room and release the mouse button - if any edge of your room is within the merging distance of another design room or wall, the room will auto align with it - 		self aligning move

aligned and spaced wall thickness apart
 aligned

MOVING ROOMS WITHOUT ALIGNING
if instead, you hold the button down on the centre of the room text the room move will ignore the merging ( auto aligning ) feature. 		non aligned move

room moved but not aligned with any existing rooms non aligned

ALIGNING WITH THE BOUNDARIES
once you have two rooms placed on screen a boundary grid appears, and sizes and area show on the guide line at the bottom of the screen.
to align with the layout grid boundary, ( if the layout grid is not showing, click the LAYOUT GRID icon - it toggles on / off ) then move the room close to the boundary with the right button held down. boundary aligned move

aligned with the overall rectangle boundaries boundary alignment

OTHER FUNCTIONS FOR DESIGN ROOMS

MOVE TO
select DESIGN ROOMS / MOVE on the menu bar
to move a set distance :-
identify the room by placing the cursor in it and clicking the left mouse button, press the arrow key in the direction you wish to move, an input box will appear, type in your distance to move and press enter.
to fine tune the room position :-
identify the room by clicking with the right mouse button, and use the arrow keys to move the room.

MAXIMUM ROOM AVAILABLE
select DESIGN ROOMS / MAX DESIGN ROOM from the menu bar
click left button in the area for a room, the dialogue box will come up with the maximum size (already deducting wall thickness), available for a room this function senses the distance horizontally and vertically - so the position you click can in some cases be important.

ROTATE
select DESIGN ROOMS / ROTATE from the menu bar
clicking on the room causes it to rotate 90 degrees

DELETE
select DESIGN ROOMS / DELETE from the menu bar
now just click on the design room to delete

EXPAND/SHRINK
select DESIGN ROOMS / EXPAND or SHRINK from the menu bar
click on the room, then use arrow key of direction to expand/shrink, and input distance

FINISHING THE DESIGN ROOM LAYOUTS
MARKING THE EXTERNAL WALLS
When you are ready to finish the rooms layout, click the external wall icon, the cursor changes to full size in the top left corner, the colour disappears from the rooms for ease of marking - if you want, click the layout grid icon to get a full screen grid to aid in marking the walls
 ready to mark external walls

Unlike the normal 'draw external walls' option, for the 'layout design rooms' option you mark the inside line of the external walls - so some of your room corners will probably be corner marks Move the cursor to your starting point ( it does not have to be a room corner ) use the arrow keys to fine tune the cursor position (the cursor position box will show the distance from the top left corner of the old boundary rectangle, and press enter when correct, move clockwise (the cursor position box will show the distance )and press enter on all building corners (when the cursor is precisely on a room corner you will see the cursor lines alter ) and finish back at your starting point - follow the guide line and cursor position box to get that correct and press enter. Now the drawing will change to a .PLN plan view, centre itself, add dimensions, show the area and draw the rooms out with measurements shown as you directed in the design room dialogue.
All rooms drawn will allow for any external walls they butt to, in the case of a room drawing over part of an the external walls, the room may not have been correctly aligned with the boundary rectangle. To over come that, select view / layout and your room layout will reappear, just use the right button to move the offending room in to the centre of the boundary rectangle very slightly and release the button, select the external wall icon and re mark the external walls

Mark the inside corner of your external walls, clockwise, finish back exactly at the original starting point and press enter ( watch the guide line and cursor position box figures to get this accurately ) otherwise the programme will not know you have finished marking the wall corners
Use the arrow keys to finetune the cursor position.
When the cursor is exactly over a room corner the room wall lines disappear.
If a wall is to be square to the previous wall the cursor position box MUST have an angle of 0.00, 90.00, 180.00 or 270.00 and '0' for one distance
Mark the inside line of your external walls, clockwise, return to the start point and press enter to finish.
Use the arrow keys to finetune the cursor position 		marking the walls

NOTE
When an external wall is square to the previous wall, the cursor position box will have a '0' for one distance when the cursor is correctly positioned for a corner.
You MUST finish back exactly at the original starting point and press enter ( watch the guide line and cursor position box figures to get this accurately ) otherwise the programme will not know you have finished marking the wall corners

HINT
if you just want a room as a spacer, type ‘SPACE’ this will show on the room layout as in the above drawing, but when you get the Plan view ( drawing below ), it will just be a vacant area - useful for passageways and for keeping rooms always a specific distance apart.
The layout view now changes to a plan view - ready for doors, windows etc.,
 plan view

HINT
If your layout is going to be larger than the screen, hold down the left mouse and move to the edge of the screen to auto scroll either a room or the wall marking cursor. You can also use ZOOM / FIT ON SCREEN, or ZOOM / SHRINK BY HALF before marking the external walls if you prefer.

NOTE
When using the 'layout design rooms' option, the title at the top of the screen will have a '.LYT' extension, but once you mark the external walls the plan view is drawn, and the title extension will be '.PLN' and then you can add doors windows etc.,.
To return to the layout view, to make any alterations to the layout or change the external wall corners, just select VIEW / LAYOUT from the menu bar

WARNING
When you click the external wall icon any previous plan views in the same drawing name will be deleted

USING DESIGN ROOMS / FINISH
Select DESIGN ROOMS / FINISH from the menu bar
You use also add design rooms to a plan view ( has the external walls drawn ) and move them around witihin the external walls and when satisfied select DESIGN ROOMS / FINISH from the menu bar
FINISH is NOT used with the layout design rooms method when you click this, any design rooms on screen will be drawn and locked in as normal plans, the room colours will disappear and the dimensions will show asyou originally selected

HINT
The design rooms merging has a bias towards any external walls - when design rooms are used in plan views - , so if your room does not align how you expect, slightly overshoot the room to align to.

CUSTOMISE
CHANGE THE MERGING DISTANCE or START UP ROOM COLOURS
click CUSTOMISE

NOTE
If you make the merging distance too large it may align a room to the wrong wall
The dimension offset distance (internal offset) and the text size can be changed permanently in CONFIGURE DIMENSIONS


Drawing External Wall Floor Base

DRAWING THE EXTERNAL WALL FLOOR PLAN BASE

Using the "drawing external walls" option from the FILE / NEW dialogue box

click DESIGN ROOMS EXTERNAL WALLS for "layout design rooms" external wall marking method

Always draw the ground floor first and add any floors above afterwards. Select from the dialogue boxes as they appear, if you select customise wall, another dialogue box will appear for the number of lines, either 2 or 4, and the width of the wall or walls.
The last dialogue box needs the position of the secondary wall lines on the first wall that will be drawn (usually you can leave this alone and start drawing to the right of the screen always work by drawing the outer face line of the wall.

secondary lines

1/ Press enter on the start point of the outer line of the first wall (the drawing base will automatically centre itself when you finish back at the start point
- so for most cases you can start with the cursor where it appears in the top left corner)
 starting point

2/ Work CLOCKWISE by pressing the arrow key in the direction of the wall to draw, input the length, and clear the box,, press the arrow key for the new wall direction, input the distance etc, until you return to he original start point of the first wall.
ALWAYS watch the cursor position box on the icon line and the guide line at the bottom of the screen as they show the distances back to the starting point. external walls

3/ continue drawing walls in a CLOCKWISE direction external walls

4/ continue drawing walls in a CLOCKWISE direction external walls

5/ continue drawing walls in a CLOCKWISE direction external walls

6/ You must always finish back at the starting point so the programme knows you have finished drawing the walls
press the up arrow key and the input box will appear with the distance back to the starting point, accept that distance by pressing enter or clicking the OK button external walls

7/ Once you return to the starting point, the drawing will centre on screen and the external dimensions and drawing title are added. external walls

ANGLED EXTERNAL WALLS
1/ If your design will have angle external walls or bay windows, start as above and when you reach the start of the angle wall, move the cursor roughly to the end point of the angled wall and press the ‘a’ key (‘a’ for angle) to enable the arrow keys to be used to finetune the cursor position and press enter when correct (the cursor position box will show angle and distances from your last wall mark,
ALWAYS watch the guide line at the bottom of the screen as it shows the horizontal and vertical distances back to the original starting point. angled external walls

2/ when you need to continue but want the arrow keys for input, press the ‘a’ key again (it is a toggle on/off), angled external walls

3/ continue drawing in a CLOCKWISE direction
 angled external walls

4/ continue drawing in a CLOCKWISE direction
 angled external walls

5/ and finish back at your starting point 0,0.
 angled external walls
If your final wall is square, just accept the input box figure, if your final wall is angled you must finish back exactly at the first starting point ( fine tune the cursor and the cursor position box will show 0, 0 ) and press enter ( so the programme know you have finished and can then centre the drawing on screen and add the external dimensions and drawing title )

6/ drawing is then centred on screen with dimensions and floor name angled external walls

HINT
The guide line will show the distance to return to the start, in most cases, when you press the arrow key for the last time to return to the start, the input box will show the correct distance..

DRAWING UPPER FLOORS
Once you have the ground floor drawn, you can add the floors above,
click drawing floors above

NOTE
Do NOT use the following external wall functions when first drawing the base floor
plan - always draw the whole base in one go, then alter, split or change afterwards. .
When you start any floor you MUST draw each floor plan external wall consecutively (clockwise ) and finish back exactly on your starting point, BEFORE you do anything else on that floor.

SPLIT EXTERNAL WALL
into two parts
Select WALLS & BASE / SPLIT EXTERNAL WALL from the menu bar

1/ press Enter on the split point somewhere between the external wall lines
 splitting up an external wall

2/ and Fast Plans will re dimension the drawing.
 external wall split

CHANGE EXTERNAL WALL TYPE
Select WALLS & BASE / CHANGE EXTERNAL WALL TYPE from the menu bar
use Left Button and click on the wall to change, input the new thickness in the dialogue box, - you can only decrease the thickness of the wall.

External wall, split to two and one wall with new width
 altering external wall width

DELETE EXTERNAL WALL
this is the only function used to delete an external wall permanently this should only be used for drawings that do not need to show any external walls


EXAMPLE 2

DRAWING EXTERNAL WALL BASE EXAMPLE
*** using the 'draw external walls' option from FILE / NEW to draw a basic house plan ***

* If at any stage you go wrong * just click File / New and start again using the same drawing name to overwrite your previous work
Start the Fast Plans programme and select file / new, Input test as the drawing name and select “drawing external walls”, then select your preferred measuring system. The title at the top of the screen will show drawingname.PLN as this is a plan view. For now just leave the following dialogue boxes, as they appear, by pressing enter (if you really want to you can click OK with the left mouse button) the cursor will now appear in the top left corner.-
Press enter on the start point of the outer line of the first wall (the drawing base will automatically centre itself when you finish back at the start point - so for most cases you can start with the cursor where it appears in the top left corner)
 starting point

for this example just leave the cursor there and press enter - that is our starting point
1/ press right arrow, input 39 ft 6 inches or 12000 m.m - and press enter to close dialogue box
2/ press down arrow, input 32 ft 9 inches or 10000 m.m
3/ press left arrow, input 52 ft 6 inches or 16000 m.m
The guide line at the bottom of the screen shows the horizontal and vertical distances back to the starting point.
4/ press up arrow, input 13 ft or 4000 m.m
5/ press right arrow, input 13 ft or 4000 m.m, just press enter
6/ press up arrow, this time the dialogue box will show the distance back to the starting point - 19 ft 9 inches or 6000 m.m- just press enter
for step by step detailed drawings of the above click external walls
Once you return to the starting point, the drawing will centre on screen and the external dimensions and drawing title are added. external walls

NOTE
click drawing angled external walls if your design will use them.
External walls must be drawn CLOCKWISE, and must finish EXACTLY back at the start point.
You can split an external wall into two parts and change one part to another wall type width, click splitting and changing external walls

HINT
Too big, or too small on screen?
You can use zoom / fit on screen with or without the dimensions (view / display).
Always look at the guide line at the bottom of the screen- it will normally show you how to use the function selected and if you do need more help press the F1 key.

DRAWING UPPER FLOORS
Once you have the ground floor drawn, you can add the floors above,
click drawing floors above

SITE PLAN
You can now add the site location plan
click adding a site plan

TO FINISH
click FINISHING - EXAMPLE 3

TROUBLESHOOTING
External Wall Marking :-
Draw the walls in a CLOCKWISE direction
Finish back at the original start point - otherwise the programme will not continue because it will not know you have finished marking the walls


CHANGING THE FLOOR PLAN BASE

SHRINK BASE
select WALLS & BASE / SHRINK BASE from the menu bar

1/ press arrow key in direction to shrink base , move cursor to position to shrink from ( cursor line will appear when you move the cursor )
press enter then input distance to shrink the base
 shrink base

2/ shrinks the left side of the floor plan base and adjusts the external dimensions . shrunken base

3/ the positioning of the cursor affects how the base is shrunk
. 		alternative shrink

4/ base shrinks from the arrow key direction towards the cursor line position
. 		alternative shrunken base

EXPAND BASE
select WALLS & BASE / EXPAND BASE from the menu bar
press arrow in direction to expand base, move cursor (a line will appear across the drawing) to position to expand from and press enter, then input distance to expand by.

NOTES
EXPAND or SHRINK BASE Normal Use
If you have only the external wall base and some design rooms (unfinished), the line mark can be anywhere within the base, the input box will show the distance to shrink to the nearest design room
Advanced Use
If you have anything else showing on the floor plan, The base expands/shrinks from the line position you mark, correct positioning is needed on complex bases, so that only the part required is changed. Should your mark line pass through a fixed room, the room will be expanded/shrunk as well as the base, and you will have to alter the room details manually using change text or number or manual dimensions Shrink may be a problem if the line mark is incorrectly placed.
You should not try to shrink to a fixed room, as you would a design room, because a design room is not finished and will ( when you click DESIGN ROOMS / FINISH ) draw to suit the surroundings, where as a fixed room is drawn completely already..
Using shrink base the input will show a figure only to the nearest design room ignoring all other wall types that could affect the shrinking.

HINT
If all that is confusing, just draw a base and put a finished room at either end, and expand or shrink a few times, try using different positions for the cursor line marking point. And see how the drawing is affected depending on the line position


EXAMPLE 3

EXAMPLE 3 - FINISHING THE PLANS :-

ADDING ROOMS

1/ As well as using design rooms in the 'layout design rooms' method using the layout design rooms option you can use them here, INSIDE an existing floor plan ( they will auto align with the external walls and other walls, rooms, etc.,
2/ use fixed rooms complete with text and measurements
3/ draw internal walls for cupboards and room alterations etc., (the input box gives you the distance to the nearest wall. internal walls
Also you can expand or shrink the floor plan base if you need to - click expand/shrink floor plan base

1/ DESIGN ROOMS
select design room / new design room or the new design room icon-
click moving and altering design rooms for more detail
When you have your design rooms positioned, change them into fixed rooms by selecting design rooms / finish. design rooms in base

Design rooms changed into fixed rooms and locked in position
2/ NEW FIXED ROOM
One way of drawing an 'L' shaped room
select the new room ( fixed ) icon, move the cursor into the corner area where you want the room to draw from and click the left mouse button 		finish design rooms

and the rooms dialogue box will appear with two numbers showing the maximum amount of space left for the room in both directions. Change the vertical dimension to 10 ft or 3000 m.m select ' show no dimensions' and press enter. Now draw another room directly below the last one, but not as wide horizontally positioning fixed rooms

for more details on using fixed rooms click new fixed rooms

CUT AN OPENING IN A WALL
select the doors and wall openings icon
input a size less than the width of the last room drawn, and select 'wall opening' and press enter, Place the circular cursor ( that is the opening size you nominated ) over the wall and press enter 		draw 'L' shaped room

if you want to add any dimensions to the 'L' shaped room use OTHER / MANUAL DIMENSIONS click using manual dimensions 'L' shaped room

3/ DRAWING INTERNAL WALLS
internal walls can be used for drawing rooms but also are used to altering rectangular rooms created by the above room functions, to draw cupboards and wardrobes. click on drawing internal walls for full information, as here we are only showing one of ways they are drawn.
To put a wardrobe and cupboard in the example, first add a fixed room called 'bath room' below the main bedroom, then select the internal wall icon,
in the dialogue box select 'below' for the second line, move the cursor onto the inner line of the external wall, 2 ft or 600 m.m below the main bedroom wall, { you can use the datum icon from the bottom wall of the main bedroom to measure off - for more details click using a datum mark ) use the arrow keys to fine tune the position, and press enter. Now press the left arrow key, the programme senses the distance to the nearest wall in that direction, and shows it in the input box so just press enter
Draw another internal wall to divide the space created ( it may help to look at the drawing below with the cupboard and wardrobe finished ), select the internal wall icon again, choose 'left' for the second line, move the cursor along the top line of the wall you have just drawn until it is 3 ft or 1000 m.m from the left side, press enter, press the up arrow key and accept the input box figure. starting a cupboard

ADDING DOORS and WINDOWS

HINT
To place doors and windows centrally in a wall or room, after selecting your door or window, click on the centre icon ( it works inside other functions - as does the datum measuring function ) click using the centre function

using the doors and wall openings icon
1 shows an entry frame and the doors open inwards if you press enter with the cursor nearer the inside wall line, or outward if nearer the outer wall line, always watch the guide line at the bottom of the screen.
3 shows a pair of sliding doors with the 'slide into wall' option checked
4 shows single hanging doors
6 these are wardrobe sliding doors
7 double hanging doors used for the cupboard
8 using an entry frame with door opening outward ( cursor nearer outside line when enter pressed
 various doors and windows
using the windows icon
2 windows showing cills and sizes
5 window drawn without the cill and size options

ADDING FROM THE LIBRARIES
From Libraries on the menu bar select Plumbing, and highlight an item by clicking on it once - the selection will now appear in the bottom left corner of the drawing screen - now highlight the standard bath press enter to accept it, move the cursor on to the bath and click on some point of reference ( a corner , the waste etc.,,) with the left button - move the cursor into the bathroom and click again with the left button, and the bath will appear there - now rotate the bath by clicking the right button, input 90 and close the input box, now position the bath how you want it using the arrow keys to position EXACTLY where you want it and press enter to lock the bath in position ( otherwise it will keep following your mouse cursor clicks ! )
when finally positioned press enter so the bath is locked into position library in use

HINT
For more accuracy in positioning you can use zoom / fit on screen or zoom / zoom up
(to use zoom / zoom up just drag a rectangle by keeping the left button down, diagonally over the area to magnify - later use zoom / normal or zoom / fit on screen to return) .

NOTE
We supply very basic libraries in both metric and feet/inches ,click libraries

You use the mouse to shift doors, windows, baths etc., roughly into position, then use the arrow keys to fine tune the cursor position and finally (because it gives more accurate positioning than a mouse click ) use the enter key to accurately lock the item in place

Now browse through the functions available as we have only covered a few in this very
basic example - click functions


DRAWING INTERNAL WALLS

Select the INTERNAL WALL icon

WALLS - HORIZONTAL or VERTICAL on screen
Select the relative position of the secondary line from the dialogue box, and input the wall thickness,
1/ Use the arrow keys to fine tune the position of the wall starting point and press Enter, use the arrow key in the direction to draw the wall, and the input box will show the distance to the nearest wall in that direction,
. input your distance if different from that shown in the input box and press Enter,
drawing internal walls

2/ To continue from the end of the last wall, just press the arrow key for the new direction
- the function only finishes if the wall you have drawn, meets another wall
If you want to close off a wall that does not meet another, just press the '+' key
 drawing internal walls

3/ the internal wall function ceases when your wall meet another wall
 drawing internal walls

HINT
If possible start from an existing wall

ANGLED INTERNAL WALLS

1/ You can draw angled internal walls by pressing Enter on both endpoints.
press Enter on starting point and move cursor to the next point and press Enter
 angled internal walls
The internal wall function will continue until it meets another wall

2/ angled wall drawn, now to continue to external wall
 angled internal walls

3/ starting a short wall
 short internal walls

4/ to close off a short wall, just press the '+' key. and the function finishes
 short internal walls

HINT
Try to start from an existing wall - either the inside line of an external wall or another internal wall

OPENING IN AN INTERNAL WALL
This function is now included with drawing doors, and uses the same doors dialogue box. Select the doors icon, input the width wanted and ignore the number of doors etc.,, - just select the opening radio button, press Enter when the circular cursor is in position on the wall to open up


doors, windows

DOORS, WINDOWS & OPENINGS

WINDOWS
select the WINDOW ICON
You have dialogue box options on showing the window sizes on the plan (that is why there is a height input box) and also show with a cill. Just move the dotted cursor anywhere on an external wall, and press enter.
HINT
The function centre may be useful for positioning the window centrally in a room or wall

DOORS
select the DOORS ICON

DOORS - you have a choice of single hanging, sliding, wardrobe, folding and other multiple door types,
they can be drawn on external and internal walls
, . 		some door types

single hanging doors can be placed anywhere on a wall using the preselected door style
other doors are drawn from the wall line ( called the face of the wall ) nearest the cursor
the guide line at the bottom of the screen will show how to use the door type selected 		selecting the wall face

some door types can be drawn with the doors opening from the left, right or centrally ( called the hand of the door(s) ),
a separate dialogue box will appear with the options available . door hand


CUSTOMISE

These functions use dialogue boxes to allow you to alter the way Fast Plans starts up

All the functions listed below are in CUSTOMISE / ( function ) on the menu bar
PLAN TITLES
this is the title below each floor plan, use any language your computer supports

DEFAULT COLOURS
start up colours for background, foreground & overlays

DIMENSIONS
dimension text size and the arrow offset from internal, external & overall walls

DOORS
allows you to set the hanging door opening angle & thickness of all door types on plans

FONT
pick your preferred font and size

MERGING DISTANCE ( AUTO ALIGNING )
used by design rooms to set the maximum distance a room can be away from another room or wall to merge with it (auto or self align)

DESIGN ROOM COLOURS
change the colours on the three type of design rooms

LAYOUT GRID
change the colour and spacing of the grid used for room layouts

CALIBRATE PRINTER
adjusts for any scaling discrepancies


EDIT

USING MOVE / ROTATE, COPY, DELETE
Select EDIT / MOVE or ROTATE, EDIT / COPY, or EDIT / DELETE from the menu bar
select the items you want by holding down the left button and dragging across the area, selecting the items

you must TOTALLY enclose the items you want
These functions will not affect external walls - to delete external walls, see delete external wall

 selecting the items

click the left button to mark a reference point somewhere in the area , choosing a reference point

To MOVE click the left button where you want to move the reference point to (use the arrow keys to fine tune the position) or to ROTATE around the reference point using the right button and inputting number of degrees to rotate
When correct, press enter to lock into that position
If using COPY the items are now ready to PASTE 		move and finish

HINT
If usingROTATE - after the initial input you can use the plus and minus keys to finetune the rotation ) when correct, press enter to lock it in place

PASTE
Select EDIT / PASTE from the menu bar
places the items from the copy function in the lower left corner of the screen, move/rotate it into position by marking (click left button) a reference point on the paste item re clicking at the real position - you can fine tune moving by using the arrow keys , when correct, press enter to lock it in place

CHANGE TEXT
Select EDIT / CHANGE TEXT from the menu bar
click the left button when the cursor is in the centre of the text or dimension number to change, if it is positioned correctly the text will appear in an input box, just change to suit your need (maximum of 22 letters).

HINT
Should the input box not locate the text, try moving the cursor to the start of the text and clicking the left button.

UNDO
Select the UNDO icon
deletes ( erases ) the last object drawn - but will not delete external walls, see delete external wall

NOTE
Do not start the copy, move/rotate or delete rectangle area in a design room, as any time the left button is pressed and held down in a design room, it will activate that room and move with the cursor!


FILE

All these functions are in FILE / on the menu bar

FILE NEW
type in the name for the drawing, you can use a maximum of twenty four letters -but do NOT add any file extension (.DOC, .PLN etc., ) to the name

HINT
As with any dialogue box which needs typed input, the cursor is pre positioned at the first place to start typing - (though you lose this advantage if you click elsewhere before typing)
The radio buttons below the drawing name offer the choice of starting with rooms to form a layout, then marking the inside line of the external walls,
OR drawing the external walls straight away.

FILE OPEN
Select from the dialogue box file list, which will show a file extension of .DB0, the selected file will always show the ground floor view first - to view the other drawings of that filename (if there are any) file click View on the menu bar and select your view
If you initially used the room layout method, but never marked the external walls ( so no plan view was made) the layout view will show, Otherwise you can return to the layout view at any time to adjust, or remark the walls, using view/layout .

SAVE
Manually save the drawing showing - menu function is greyed out if nothing has been changed or you are using AUTO SAVE.
See AUTO SAVE below for advantages and disadvantages

AUTO SAVE
This function toggles on/off - tick is autosave ON. Automatically saves the drawing at EVERY change .
Advantage - you never need to save the drawings
Disadvantage - if you alter drawings, you cannot return to the former state.
The choice is yours.....

SAVE AS
Just save a copy of the existing drawing to a new name - maximum of twenty four letters - but do NOT add any file extension (.DOC, .PLN etc., ) to the name,

HINT
Once you have a basic layout, quickly draw as many variations as you like by using file/save as and nominating a different name for each variation you want to try

ROTATE/MIRROR COMPLETE DRAWING
Select your rotation, or mirror, and new name, if wanted - this function is for completed drawings(all floors finished) -

WARNING
if you attempt to alter the drawings after using this function some other functions may not work correctly

SAVE AS .BMP
Makes a bitmap copy of the drawing on screen, and stores it in the DWGS sub directory, the file name will include GND etc., to indicate the floor and have a .BMP extension
WARNING Bitmaps take a lot of memory!!!

PRINT and PRINT SET UP
Click PRINT

EXIT
leaves the programme


FIXED ROOM

NEW FIXED ROOM
Select the NEW FIXED ROOM icon to draw a complete finished room in a plan view

The new fixed room function draws the room in a plan view, extending if necessary the adjacent partitions, places the name centrally and shows both dimensions as required. OPENINGS and DOORS of all types can be cut in the room internal walls later.

Once you have selected the new fixed room icon, move the cursor into the corner area where you want the room to come from ( read the NOTE below )
click the left mouse button and the rooms dialogue box will appear with two numbers showing the maximum amount of space left for the room
 positioning fixed rooms

The room is drawn from the corner nearest your left button click room drawn from here

NOTE
Unlike most functions, when you click the New Fixed Room icon very little happens (only “Room” will show as the drawing tool in use, in the bottom right corner of the screen), until you place the cursor in the area of the new Fixed Room and click the left mouse button.( this function senses the distance horizontally and vertically for the input dialogue box - so the position you click can in some cases be important - especially not horizontally or vertically in line with a doorway). The Room Dialogue Box will then appear.

WARNING
If using the New Fixed Room function where you have any angled partitions or external walls, always mark near a horizontal or vertical (on screen ) wall . The function will not work correctly, if marked near an angled wall

HINT Best if you work your way round the house putting all the rooms in, in some sort of order, perhaps clockwise.

NEW FIXED ROOM DIALOGUE BOX
Type in the name of the room and tab down to Size Horizontal, which shows the maximum size left for a room, input your sizes, tab and repeat for Vertical Size - if you leave the sizes as shown, you will still get a room - handy for the corner room of a row of rooms.

HINT
Think before you close the dialogue box, whether you want the dimensions to show, as it is far easier to do it correctly now, than change later.

NOTE
The dimension offset distance (internal offset) and the text size can be changed permanently in CONFIGURE DIMENSIONS also try INTERNAL WALLS


FUNCTIONS - BY USE

CUSTOMISE the programme to suit yourself ( all in CUSTOMISE on the menu bar )
* colours * - set back ground, foreground & overlay colours
* design rooms * - set max aligning (merging) distance & room colours
* dimensions * - wall offset distance & text size & text orientation
* doors * - select opening angle & door thickness
* design room layout grid *- grid spacing & colour
* plan titles * - plan titles - change title names ('ground floor','site plan' etc.,
* printer * - calibrate printer for accuracy

DESIGN AIDS
* centre * - find the centre of two points (an ICON )
* centre centre * - find the centre of a rectangle (an ICON )
* change colour * - change the pen colour ( under TOOLS )
* change text or number * using same font and text size(EDIT)
* copy & paste * ( under EDIT on the menu bar )
* datum * - toggle a reference point to measure from (an ICON )
* delete * - erase objects ( EDIT & ICON )
* delete external wall *- the only way to delete an external wall ( WALLS)
* design rooms * - self align, moveable rooms ( DESIGN ROOMS & ICON)
* expand floor plan base *-increase the floor plan ( WALLS)
* floor area * - gives the area of current floor ( VIEW )
* libraries * - add in pre drawn objects ( LIBRARIES )
* line style * - change the line thickness, style - dot ,dash, solid ( TOOLS)
* maximum design room size available * find the maximum room size left
* move or rotate * - part of drawing can be moved or rotated ( EDIT )
* room layout grid *- toggle a grid to help using layout design rooms ( ICON )
* shrink floor plan base *- shorten the floor plan in one direction ( WALLS)
* text & text size * - size direction of text ( TOOLS & an ICON )
* undo * - delete last object drawn ( an ICON )

DISPLAY
* display mode * - display wall hatching, solid walls & external sizes( VIEW )
* fit on screen * - show entire drawing on screen ( ZOOM )
* layout grid * - show boundary & screen grid for room layouts ( ICON)
* show overlays * - show floor below to help draw next floor ( VIEW )
* plan views *- show floors (VIEW )
* rotate or mirror complete drawing * - rotate or mirror image ( FILE )
* save as .BMP * - save drawing to display elsewhere as bitmap ( FILE )
* zoom up * - get detail of part of drawing ( ZOOM )

DRAWING FUNCTIONS
* arc * - draw an arc ( TOOLS )
* change an external wall * - change the thickness of an external wall ( WALLS )
* circle *-draw a circle( TOOLS )
* doors - single hanging, multi or sliding * - cuts wall and draw doors (ICON)
* ellipse * - ( TOOLS )
* external wall * - to mark external walls for design room layout (ICON)
* internal wall or partition * - draw a 2 line internal wall ( WALLS & an ICON )
* line & line with text on it * - draw lines - with text on if wanted ( TOOLS )
* manual dimensions * add internal dimensions and arrows (OTHER)
* multiple lines *- draws an array of lines ( TOOLS & an ICON )
* opening * - cuts an opening in internal wall ( WALLS & an ICON )
* fixed room * - draw room complete with text & sizes ( OTHER & an ICON )
* split external wall * - divide an external wall into 2 different wall ( WALLS )
* windows * - inserts plan view of a window - text & cill options (OTHER )


GLOSSARY

 TERMINOLOGY

some terms that may confuse you (and us)

AUTO SCROLLING: scroll the drawing using the left mouse button instead of using the scrollbars

AUTO or SELF ALIGNING ( merging ) distance: the maximum distance within which a design room will self position with another room or wall

DESIGN ROOMS: rooms ( in colour) that can be moved around, rotated, expanded, etc., by dragging to give you maximum flexibility in designing - design rooms are auto or self aligning ( merging ) and the merging distance is customisable as are the colours used - when satisfied with their position, design rooms are redrawn by ....
1/ if you selected the ' layout design rooms option' in the file/new first dialogue box by marking the inner line of the external walls OR
2/ if you have placed design rooms within an external wall base (plan view), select design rooms/FINISH to redraw them as normal rooms (fixed or finished ) with double line walls drawn, text and dimensions showing.

DRAWING TITLE: The name of the drawing on screen, shown at the top of the screen complete with one of the following file extensions
...layout view '.LYT'
...ground floor view '.PLN'
...first floor view '.PL1'
...second floor view'.PL2'
...site plan view '.STE'

FIXED ROOM (or FINISHED ROOM): complete room function - non moveable room formed by clicking a corner of the area it will occupy and is drawn fixed in position with text & dimensions and double line walls drawn

FLOOR PLAN BASE - the area enclosed by the external walls on each floor

FLOOR TITLES
...GROUND FLOOR means the bottom floor - titles are customisable
...FIRST FLOOR means the first floor above the ground floor
...SECOND FLOOR means the second floor above the ground floor

INTERNAL WALL : we used to call this a partition wall

LAYOUT DESIGN ROOMS method : place design rooms on screen first, move, align, rotate, shrink etc., when satisfied, mark the external walls inner line.
To use this method select layout design rooms from the file/new first dialogue box.

MERGING DISTANCE ( auto or self aligning distance ) the maximum distance within which a design room will self position with another room or wall

OVERLAY: really an underlay! - used to help design a floor by showing the floor below in a different (customisable ) colour

PLAN TITLE: the text shown under each drawing, the programme comes with these called ground floor, first floor & second floor - but you can change the wording in customise/titles


HOW TO…

HOW TO.....:-

HINTS
ALWAYS check the GUIDE LINE at the bottom of the screen for hints at all times,
it also shows the distance from the starting point when drawing the external walls.
Use the arrow keys to finetune the cursor position in most functions

INFORMATION
for more information click the underlined function
to order Fast Plans
to draw the floor plan base
alter the floor plan base
marking external walls
using layout design rooms
draw angled external walls
split & change external walls
draw cupboards
add dimensions
draw lines with text or numbers
add a complete room
add stairwells & internal stairs
add to libraries

HOW TO…customise your drawings - changing the default ( start up ) settings

change background foreground & overlays colour
change dimension text & arrow offsets
change door opening angle & thickness
change design room merge (aligning distance)
change design room start up colours
change room layout grid
changing drawing titles (ground floor, first floor etc.,)
set the typeface

HOW TO…..save & access drawings

When Auto Save is ticked in the File menu- ( it toggles on/off ) drawings are automatically saved, whenever you finish using a function - click saving drawings
To access previously drawn files, select FILE / OPEN - there is no need to close the file you were working on
To change the file name select FILE / SAVE AS
To auto scroll - hold down the left button and move cursor to edge of screen

HOW TO .....delete

last item - unless an external wall select the UNDO icon
external walls can only be deleted using WALLS and BASE / DELETE EXTERNAL WALL
delete earlier items

HINT Once you have a basic layout, quickly draw as many variations as you like by
using file/save as and nominating a different name for each variation you want to try

TROUBLESHOOTING External Wall Marking

ALL EXAMPLES :-
finish marking walls by pressing enter exactly back on the original start point, otherwise the programme will not continue because it will not know you have finished marking the walls. Use the cursor position box and guide line numbers.

LAYOUT DESIGN ROOMS EXAMPLE - marking walls in room layouts
To check rooms are exactly on boundaries, move the room (right mouse Button ) slightly inside the bounding rectangle and release the button.
Mark the INSIDE line of your external walls, (use the arrow keys to finetune the cursor position ) clockwise Finish back at the original start point
EXAMPLE 2 all base external walls either horizontal or vertical (as seen on the screen) You should mark the external walls Outer line in a clockwise direction > Finish back at the original start point
EXAMPLE 3 some angled external walls in base Use the ‘a’ key to toggle between arrow direction keys working for finetune or input Finish at the original start mark ( showing 0 h 0 v on the guide line if last wall is angled) otherwise the programme will not continue because it will not know you have finished marking the walls


LIBRARIES

Select from LIBRARIES on the menu bar

USING LIBRARY DRAWINGS
Select the drawing type from LIBRARY (electrical, furniture, plumbing or miscellaneous), and then select from the list box and the drawing will show in the bottom left corner = when you have the correct one showing, press enter or double click the highlighted text.
Now click a reference point on the library drawing item and move/rotate (you are automatically in the move/rotate function)- and when positioned correctly, press enter to lock in. click using library items

HINT
Use the arrow keys to finetune the reference point position

ADDING TO LIBRARIES
Draw the item on a plan view, select Libraries/Add to libraries, enclose the item by dragging the left button COMPLETELY over the item and release the button, in the dialogue box that appears name the item and pick which drawing type to place the item in

NOTE
We have only started off the libraries with a few basic items as the style and sizes vary enormously world wide, adding to a library is very easy and you get exactly what you want, we have provided a number of specialised drawing tools to make this even easier
rounded rectangle
multi line
arc
line
line + text
circle
ellipse
rectangle,


ORDER

Price for the full Fast Plans programme is US$ 63.00
Euro & Australasian prices on request - Email from here

TO ORDER this programme with Visa or MasterCard we have a "To Order" secure server on our web site http://www.blackmtnsoft.com/

or
you can fax the order form ( found in the file “order.txt” which is in the same folder as this copy of Fast Plans )


other functions

STAIRS & MANUAL DIMENSIONS

STAIRS
Firstly, before selecting OTHER / STAIRS from the menu bar, change the view to the plan of the floor the base of the stairs are to appear on. Make you selections from the dialogue box - the stairs will also show on the floor above

MANUAL DIMENSIONS
select OTHER / MANUAL DIMENSIONS from the menu bar
Press enter on the two points and input the dimension (if your points are directly on walls the input box will show the dimension )

Manual dimensions can only be horizontal or vertical - your mark points should be approximately horizontal or vertical some door types

the first point is taken as the offset) some door types

NOTE
The text size used is the same as used in rooms - this can be changed permanently in CONFIGURE DIMENSIONS


PRINTING

Selct FILE / PRINT from the menu bar
The first dialogue box to appear show the list of available drawings (ignore the file’ extension), after selecting the client you want, your own Print Set up box appears., this is where you can alter your default printer, print drawings either Portrait ( longest paper side vertical) or Landscape, where the longest paper side is horizontal, which is more normal for this type of work.

PLEASE NOTE
The “number of copies” input in your own printer dialogue is disregarded ( our print file dialogue box allows you to print in batches and options on style); You can usually also click the Options button to alter your printer defaults (depending on your printer’s software).
Then a 'print file' dialogue box will appear. Enter the number of copies against each of the floors that you require printed and also the scale required, Also you can select to show dimensions & scales on the drawings and the style & text size that you want to print.

HINT
At least one of the “copies” inputs in the 'print file' dialogue box MUST be changed from ‘0’, otherwise no printing will take place! .

SCALES & CONVERSIONS
The normal printing scales for house drawings are :-
non metric 96:1 (1/8 inch to 1 foot) or for metric 100:1
¼ inch to 1 foot is 48:1
½ inch to 1 foot is 24:1
just remember (METRIC) that a 20000m.m. house wall at 100:1 will print 200 m.m. on your paper but at 50:1 the same wall will print 400 m.m. long - if the paper is wide enough!

PRINTER CALIBRATION
Some printers may not print graphics accurately at scale, to help overcome this, draw a line 15000 m.m or 52 ft horizontally on a drawing you have made, print it out and check the printed out size with a scale rule. Use 96:1 (1/8th inch/ ft) or for metric 100:1 and note the result
Select Customise/Printer Calibration - metric or ft - depending on your selected measuring system, and input the size you scaled.

PRINTING OPTIONS
External dimensions may be left off if wanted & the print thickness can be selected
Your selected scale will automatically print below the floor title - unless you check the No Scale checkbox option walls can be printed normal (2 or 4 lines), crosshatched, or solid thick lines

NOTE
All Landscape mode drawings can be printed in one batch, then if any are required in portrait mode, these can be printed in another batch. This is so the print set-up box (the one that shows the portrait & landscape modes) does not have to be shown for each file to print.

PRINTER SET UP
This is where you alter your printer, print drawings either Portrait ( longest paper side vertical) or Landscape, where the longest paper side is horizontal, which is more normal for this type of work.

NOTE
The Print set up dialogue box comes up when you use the Print function anyway,
FILE / PRINTER SET UP is only included for viewing the set-up and options without printing anything.


LINES MULTI LINES LINE + TEXT

LINE , MULTI LINES, LINE + TEXT

DRAWING LINES
Methods :-
1/ press enter on the first point, press the arrow key in the direction to go, screen wise , and type in the distance, then press enter (or click the dialogue box OK button) to clear the box away. If you wish to continue from the new endpoint, just press the arrow key and continue drawing horizontal & vertical lines.

NOTE
You only need to press enter to mark the start point if the start point is NOT the same as the last endpoint to start a fresh series of lines re select tool/line.

2/ you can also draw lines by locating the starting point, then holding the left mouse button down, and dragging to the endpoint, the line will appear to be dotted until you release the left button, it will then change according to your previously selected line style & width.

3/ lines can also be drawn by pressing enter on the starting point then moving the cursor to the endpoint and press enter again.

HINT
Use arrow keys to fine tune the position of the cursor, an easy way to get on the exact endpoint of the line..

NOTE
Angle input increases clockwise from top ( 0 degrees) of screen, 45 degrees is towards top right hand corner, 225 degrees is towards bottom left corner of your screen, etc.,

MULTI LINES
Select the number of lines required and clear the input box. If the first line will be horizontal or vertical, press enter on the first point then use the arrow key for the direction of the second point and input the length of the line, but for angled lines, enter the first point and move the cursor to the other end point of the first line and press enter.
Now move the cursor to the position of the last line required (at approximately the same level, horizontally or vertically - depending on the direction you want the rest of the lines to go, as the first point of the first line), and press enter.

NOTE
The array of lines will only be drawn in a horizontal or a vertical direction from the first line.(depending on the position you select for the last line.

LINE + TEXT
After drawing the line a dialogue box will appear for the text - you have a maximum of 20 letters, numbers & spaces - text will be place above or below the line, depending on your selection in the dialogue box text size used is the internal dimension text size - use customise/dimensions if you need to change the size


ARC, CIRCLE, ELLIPSE

ARC
The endpoints of the arc must be either inline horizontal or inline vertical (use the cursor location box in the middle of the toolbar to make sure the second endpoint is inline with the first endpoint).
Move the cursor to one endpoint of the arc, press Enter, then move to the other endpoint and again press Enter, a dialogue box will now appear, input the amount of arc required - if your endpoints are horizontal a minus figure will show an arc below the endpoints but a normal figure will show the arc above if your endpoints are vertical a minus figure will show an arc to the right side of the endpoints but a normal figure will show the arc on the left side

NOTE
If no arc appears, you must get the endpoints horizontal or vertical.

CIRCLE
Press enter on Centre Point of new circle and enter radius in the dialogue box.
You can also draw circles by holding down the left button and dragging to size

ELLIPSE
Move cursor to position of one end of the ellipse then hold down the left button and drag to shape. The line will appear dotted only until you release the left mouse button.


TEXT RECTANGLES COLOURS LINESTYLES

TEXT, CHANGE TEXT, RECTANGLES, COLOURS & LINESTYLES

RECTANGLE
Press enter on one corner of the new rectangle, then press the arrow key for one direction of the rectangle, and input the size in the dialogue box,. repeat the processfor the other direction

ROUNDED RECTANGLE
Draw as rectangle above, but input dialogue box for the corner radius comes up first

NOTE
Both rectangle functions only rotate in 90 degree increments.

TEXT-
To change the way text is inserted, just click the correct circle in the dialogue box. Centred text is normally used to place text in the middle of an area, while Text Right is for normal writing.

NOTE
When using Text Right, press enter to start a new line below the existing line, and press enter twice to finish

CHANGE TEXT
Select this function and click the left button when the cursor is in the centre of the text or dimension number to change, if it is positioned correctly the text will appear in an input box, just change to suit your need (maximum of 22 letters).

HINT
Should the input box not locate the text, try moving the cursor to the start of the text and clicking the left button.

CHANGE COLOUR
Pick your new colour from the dialogue box. This will affect all objects drawn from now on.

LINESTYLE
Change the line width or style (dotted, dashes etc.,) generally size 1(thin) is used

NOTE
Some tools will only draw in a solid line style if the line thickness is 2

TEXT SIZE
Font Style is the weight or boldness of the text, Point Size is the size of the text - generally between a range of 6 to 12 points are used for plan drawings

NOTE
Not all fonts are treated the same, some sizes are not universally available, and your printer may not support all text font types.

WARNING
Some font types expand if used vertically or while rotating, test before using - Helsinki is a good font type


ZOOM

ZOOM UP
Select the area to zoom by holding down the left button and drag across the area to zoom, the zoomed area may differ from the selected area as it is adjusted to prevent any distortion

NOTE Not available in layout views

FIT ON SCREEN
Show the whole drawing on screen

HINT
Un check “show external dimensions” in view / display mode then click zoom / fit on screen again, to get maximum drawing on screen

BACK TO NORMAL
Return the drawing to the original drawing size

SHRINK BY HALF
Diminishes the drawing shown on screen